Package org.apache.sling.testing.mock.osgi

# Class NoScrMetadataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.testing.mock.osgi.NoScrMetadataException

All Implemented Interfaces:
  `Serializable`

public final class NoScrMetadataException extends RuntimeException
Is thrown when a OSGi mock method required SCR metadata and this is not found in the classpath.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoScrMetadataException(@NotNull Class<?> type)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoScrMetadataException

public NoScrMetadataException(@NotNull @NotNull Class<?> type)